package kuzumeji.action.home.sys;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.sys.Calendar;
import org.jboss.seam.annotations.Name;
/**
 * CalendarHome
 * @author nilcy
 */
@Name("calendarHome")
public class CalendarHome extends BaseEntityHome<Calendar> {
    /** S/N */
    private static final long serialVersionUID = 835350485134139389L;
    /**
     * @return ID
     */
    public Long getCalendarId() {
        return (Long) getId();
    }
    /**
     * @param aCalendarId ID
     */
    public void setCalendarId(Long aCalendarId) {
        setId(aCalendarId);
    }
    @Override
    protected Calendar createInstance() {
        Calendar calendar = new Calendar();
        return calendar;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * wire
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Calendar getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
